import { FactoryProvider } from '@nestjs/common';
import { EntityManager, MikroORM, EntityRepository, MetadataStorage, EntityClass } from '@mikro-orm/core';
import { CheckRelationName, EntityParam, RunInTransaction, PrepareParams, FindOneRowEntity } from '@klerick/json-api-nestjs';
import { MicroOrmService } from '../service';
import { MicroOrmParam } from '../type';
export declare function CurrentMicroOrmProvider(connectionName?: string): FactoryProvider<MikroORM>;
export declare function CurrentEntityManager(): FactoryProvider<EntityManager>;
export declare function CurrentEntityRepository<E extends object>(entity: E): FactoryProvider<EntityRepository<E>>;
export declare function CurrentEntityMetadata(): FactoryProvider<MetadataStorage>;
export declare function CheckRelationNameFactory<E extends object, IdKey extends string = 'id'>(): FactoryProvider<CheckRelationName<E>>;
export declare function EntityPropsMap<E extends object>(entities: EntityClass<E>[]): {
    provide: symbol;
    inject: symbol[];
    useFactory: (metadataStorage: MetadataStorage, config: PrepareParams<MicroOrmParam>) => Map<EntityClass<E>, EntityParam<E>>;
};
export declare function RunInTransactionFactory(): FactoryProvider<RunInTransaction>;
export declare function OrmServiceFactory(): {
    provide: symbol;
    useClass: typeof MicroOrmService;
};
export declare function FindOneRowEntityFactory<E extends object, IdKey extends string>(): FactoryProvider<FindOneRowEntity<E>>;
