"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Roles = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@mikro-orm/core");
const index_1 = require("./index");
let Roles = class Roles {
    constructor() {
        this.createdAt = new Date();
        this.updatedAt = new Date();
        this.users = new core_1.Collection(this);
    }
};
exports.Roles = Roles;
tslib_1.__decorate([
    (0, core_1.PrimaryKey)({
        autoincrement: true,
    }),
    tslib_1.__metadata("design:type", Number)
], Roles.prototype, "id", void 0);
tslib_1.__decorate([
    (0, core_1.Property)({
        type: 'varchar',
        length: 128,
        nullable: true,
        default: 'NULL',
    }),
    tslib_1.__metadata("design:type", String)
], Roles.prototype, "name", void 0);
tslib_1.__decorate([
    (0, core_1.Property)({
        type: 'varchar',
        length: 128,
        nullable: false,
        unique: true,
    }),
    tslib_1.__metadata("design:type", String)
], Roles.prototype, "key", void 0);
tslib_1.__decorate([
    (0, core_1.Property)({
        name: 'is_default',
        type: 'boolean',
        default: false,
    }),
    tslib_1.__metadata("design:type", Boolean)
], Roles.prototype, "isDefault", void 0);
tslib_1.__decorate([
    (0, core_1.Property)({
        length: 0,
        name: 'created_at',
        nullable: true,
        defaultRaw: 'CURRENT_TIMESTAMP(0)',
        columnType: 'timestamp(0) without time zone',
        type: 'timestamp',
    }),
    tslib_1.__metadata("design:type", Date)
], Roles.prototype, "createdAt", void 0);
tslib_1.__decorate([
    (0, core_1.Property)({
        length: 0,
        onUpdate: () => new Date(),
        name: 'updated_at',
        nullable: true,
        columnType: 'timestamp(0) without time zone',
        defaultRaw: 'CURRENT_TIMESTAMP(0)',
    }),
    tslib_1.__metadata("design:type", Date)
], Roles.prototype, "updatedAt", void 0);
tslib_1.__decorate([
    (0, core_1.ManyToMany)(() => index_1.Users, (item) => item.roles),
    tslib_1.__metadata("design:type", Object)
], Roles.prototype, "users", void 0);
exports.Roles = Roles = tslib_1.__decorate([
    (0, core_1.Entity)({
        tableName: 'roles',
    })
], Roles);
//# sourceMappingURL=roles.js.map